Google Cloud
probe Storage

# object_exists

Indicates whether a file in Cloud Storage bucket exists

Run it now
View details

Type | probe
Module | chaosgcp.storage.probes
Name | object_exists
Return | boolean

Usage

JSON

    {
      "name": "object-exists",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosgcp.storage.probes",
        "func": "object_exists",
        "arguments": {
          "bucket_name": "",
          "object_name": ""
        }
      }
    }

YAML

    name: object-exists
    provider:
      arguments:
        bucket_name: ""
        object_name: ""
      func: object_exists
      module: chaosgcp.storage.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
bucket_name | string |  | Yes | Bucket | Name of the bucket
object_name | string |  | Yes | Object | Name of the object to check in the bucket

- bucket_name: name of the bucket
- object_name: name of the object within the bucket as path

Signature

    def object_exists(bucket_name: str,
                      object_name: str,
                      configuration: Dict[str, Dict[str, str]] = None,
                      secrets: Dict[str, Dict[str, str]] = None) -> bool:
        pass

## Related starters

- Google Cloud
  action Load Balancer

  ## `inject_traffic_faults`

  Add/set HTTP status codes for a percentage of requests going through a url map on a given path
- Google Cloud
  probe Load Balancer

  ## `get_backend_service_health`

  Fetch the health of backend services
- Google Cloud
  probe SQL

  ## `list_instances`

  Lists Cloud SQL instances in a given project in the alphabetical order of the instance name